[
  {
    "function": "set_enchantments",
    "enchantments": {
      "overly_realistic:or_internal_iron_tool_forge_forged": 0
    }
  },
  {
    "function": "minecraft:set_components",
    "components": {
      "minecraft:custom_data": {
        "current_process": "sharpened",
        "or_is_tool": true,
        "or_can_cause_bleeding": true,
        "or_offhand_dependent_interactable": true,
        "or_tool_material": "iron",
        "or_tool_type": "sword",
        "or_edited_item": true,
        "or_sharpened_tool_level": 0
      },
      "minecraft:item_name": {
        "translate": "item.overlyrealistic.sharp_0_iron_sword",
        "fallback": "Sharpened Iron Sword",
        "color": "white"
      },
      "minecraft:attribute_modifiers": [
      {
        "type": "minecraft:attack_damage",
        "amount": 5.0,
        "id": "minecraft:base_attack_damage",
        "operation": "add_value",
        "slot": "mainhand"
      },
      {
        "type": "minecraft:attack_speed",
        "amount": -2.4000000953674316,
        "id": "minecraft:base_attack_speed",
        "operation": "add_value",
        "slot": "mainhand"
      },
      {
        "id": "overly_realistic:sharpened_tool_buff",
        "amount": 0.35,
        "type": "block_break_speed",
        "operation": "add_value",
        "slot": "mainhand",
        "display": {
          "type": "override",
          "value": {
            "text": " 1.35 Block Break Speed",
            "color": "dark_green"
          }
        }
      },
      {
        "type": "minecraft:entity_interaction_range",
        "amount": 0.5,
        "id": "overly_realistic:player_item_reach_buff",
        "operation": "add_value",
        "slot": "mainhand",
        "display": {
          "type": "override",
          "value": {
            "text": " 0.5 Entity Reach",
            "color": "dark_green"
          }
        }
      },
      {
        "type": "minecraft:block_interaction_range",
        "amount": 0.5,
        "id": "overly_realistic:player_item_reach_buff",
        "operation": "add_value",
        "slot": "mainhand",
        "display": {
          "type": "override",
          "value": {
            "text": " 0.5 Block Reach",
            "color": "dark_green"
          }
        }
      }
    ],
      "enchantments": {
      "overly_realistic:or_internal_tool/or_internal_sharpened/or_internal_sharpened_sword": 1
    },
    "enchantment_glint_override": false,
    "tooltip_display": {
      "hidden_components": ["enchantments"]
    },
      "item_model": "overlyrealistic:items/forged_tools/sharp_0_iron_sword"
    }
  },
  {
    "function": "set_lore",
    "lore": [
      {
        "text": "[Adequately Sharpened]",
        "color": "gray",
        "italic": false
      }
    ],
    "mode": "append",
    "entity": "this"
  }
]